aboutsummaryrefslogtreecommitdiffstats
path: root/community/webalizer
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 07:55:41 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 07:55:48 +0000
commit0d03eacd156511e9a307a49453b24d935a197f26 (patch)
treef5994c3c75455abf41cb6bf83c58b9033b07dd2e /community/webalizer
parentbe96b6bf8a3c73b9972a3a5bedf15b303ac05d93 (diff)
downloadaports-0d03eacd156511e9a307a49453b24d935a197f26.tar.gz
aports-0d03eacd156511e9a307a49453b24d935a197f26.tar.bz2
aports-0d03eacd156511e9a307a49453b24d935a197f26.tar.xz
community/webalizer: moved from testing
Diffstat (limited to 'community/webalizer')
-rw-r--r--community/webalizer/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/community/webalizer/APKBUILD b/community/webalizer/APKBUILD
new file mode 100644
index 0000000000..bbd426611f
--- /dev/null
+++ b/community/webalizer/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=webalizer
+pkgver=2.23.08
+_pkgver="2.23-08"
+pkgrel=4
+pkgdesc="A web server log file analysis program producing HTML reports"
+url="http://www.webalizer.org/"
+arch="all"
+license="GPL"
+depends=""
+makedepends="db-dev gd-dev libpng-dev zlib-dev bzip2-dev"
+install=""
+subpackages=""
+source="$pkgname-$pkgver.tar.bz2::ftp://ftp.mrunix.net/pub/webalizer/$pkgname-$_pkgver-src.tar.bz2"
+_builddir="$srcdir"/$pkgname-$_pkgver
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --datarootdir=/usr/share \
+ --enable-bz2
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="d25a9715dcbfe67ddf86816c27fbda2b webalizer-2.23.08.tar.bz2"
+sha256sums="b37524fbd98e97052a80d59f75e69f857468752cf74cc0eb0972e5fab02eb6f7 webalizer-2.23.08.tar.bz2"
+sha512sums="23fe6e3ef1c85aa527ffafef16c31c13ad8e1f9feb774557c07a5c8fd6c67986b98180ef16d6cebe62d59c5f7ca214b8292e94ce8f195fa0541de9c5438fb9bd webalizer-2.23.08.tar.bz2"